.body{
width: 100%;
background: linear-gradient(-45deg, #9e005d, #666666, #d4145a, #777);
background-size: 400% 400%;
animation: gradient 15s ease infinite;
}
@keyframes gradient {
0% {
background-position: 0% 50%;
}
50% { 
background-position: 100% 50%; 
} 
100% { 
background-position: 0% 50%;  
}
}  
div *::selection{
background:#523f86;
color: #ffffff;
}  
.getanibtn{
background: linear-gradient(-45deg,#9e005d,#d4145a);
color: #fff;    
}
.kodebtn{
background: #9e005d;
}
.icon_btns{
background: #d4145a;
}   
.upper-head-row{
width: 100%;
height: 50px;
background: #edf2f7;
}
.update-cell-form{
width: auto;
height: auto;
}
.update-cell-form input{
width: 90%;
height: 30px;
border: 1px solid #f1f1f1;
outline: none;
background: #ffffff;
color: #000000;
padding-left: 10%;
font-family: 'Poppins';
margin-top: 10px;
font-size: 0.8em;
border-radius: 5px;
}
.update-cell-form input[type="color"]{
padding-left: 0;
border-radius: 0;
background: none;
height: 40px;
margin-top: 5px;
}
.update-cell-btn{
width: 50%;
height: 30px;
border: none;
outline: none;
background: #d4145a;
color: #ffffff;
font-family: 'Poppins';
margin-top: 10px;
font-size: 0.8em;
border-radius: 5px;
cursor: pointer;
float: left;
margin-left: 5%;
}
.add-cell-btn{
width: 90%;
height: 30px;
border: none;
outline: none;
background: #9e005d;
color: #ffffff;
font-family: 'Poppins';
margin-top: 10px;
font-size: 0.8em;
border-radius: 5px;
cursor: pointer;
}
.upper-table-row{
width: 100%;
height: 490px;
background-color: #f2f2f2;
padding: 30px;
box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
display: flex;
flex-direction: column;
align-items: center;
background: linear-gradient(315deg, #c40e0e, #e91111);
}
.shadow-preview {
width: 200px;
height: 200px;
background-color: #f2f2f2;
border-radius: 34px;
box-shadow: -24px -24px 48px #940b0b, 24px 24px 48px #ff1515;
margin-bottom: 20px;
margin-top: 100px;
}
.code-snippet {
margin-top: 20px;
border: 1px solid #ccc;
padding: 10px;
font-family: monospace;
word-break: break-all;
background-color: #f2f2f2;
color: #333;
}
.copy-button {
margin-top: 10px;
background-color: #4CAF50;
color: white;
border: none;
padding: 8px 16px;
border-radius: 4px;
cursor: pointer;
}
.table-container {
max-width: 100%;
}
.code-container {
padding: 10px;
white-space: pre-wrap;
padding: 3%;
padding-left: 0;
text-align: left;
font-size: 0.9em;
}
.export-btn{
width: auto;
height: 50px;
border: none;
outline: none;
background: #9e005d;
color: #ffffff;
font-family: 'Poppins';
font-weight: bold;
padding-left: 5%;
padding-right: 5%;
cursor: pointer;  
}
.export-btn-padding{
padding: 5%;
}
.export-header{
width: 100%;
height: 60px;
background: #d4145a !important;
color: #ffffff;
font-family: 'Poppins';
}
.cross-btn{
width: 60px;
height: 60px;
background: none;
color: #ffffff;
font-size: 1.5em;
font-family: 'Poppins';
}
.cross-btn:hover{
background: #d6055c !important;
color: #ffffff !important;
}
input[type="range"] {
flex-grow: 1;
width: 90%;
-webkit-appearance: none;
appearance: none;
background: #ffffff;
cursor: pointer;
height: 10px;
margin-top: 20px;
}
input[type="range"]::-webkit-slider-thumb {
-webkit-appearance: none;
appearance: none;
background-color: #d4145a;
height: 1.5rem;
width: 1.5rem;    
border-radius: 50%;
}
.top-p{
margin-top: 14px;
font-family: 'Poppins';
font-size: 1em;
}
.update-code-padding{
padding: 5%;
}